#!/bin/bash

# create trn
cut -f2 $1 | awk 'BEGIN{FS=OFS="\t"}{print $0,"(sp1_"NR")"}' > hypothesis.trn
cut -f3 $1 | awk 'BEGIN{FS=OFS="\t"}{print $0,"(sp1_"NR")"}' > reference.trn

#wer for each line
sclite -f 0 -r reference.trn trn -h hypothesis.trn trn -e utf-8 -i rm -o all stdout | grep Scores | awk -v OFS='\t' '{print $6, $7, $8, $9}' | awk '{print ($2 + $3 + $4)/($2 + $3 + $1) }' > wer_per_line.tsv
paste $1 wer_per_line.tsv > wikiniews_results_with_wer.tsv

#average wer and srr
awk -F'\t' '{ total += $5; count++ } END { print total/count }' wikiniews_results_with_wer.tsv > wer.txt
awk -F'\t' '{ if ( $5 == 0 ) good++; count++ } END { print good/count }' wikiniews_results_with_wer.tsv > srr.txt